Get NFL drive summaries
GET/v1/nfl/games/{game_id}/drives
Drive-by-drive summary: start position, ending position, time of possession, plays run, yards gained, and outcome.
Code samples
# Get live scores across every league curl "https://api.sportapi.io/v1/nba/scores/live" \ -H "Authorization: Bearer $API_KEY" # Response { "games": [{ "game_id": "0022500412", "status": "in_progress", "period": 3, "clock": "07:42", "home": { "team": "BOS", "score": 78 }, "away": { "team": "LAL", "score": 71 }, "last_play": "J. Tatum makes 3-pt jumper from 25 ft" }] }
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
game_id | string | Yes | NFL game ID |
Response
{
"drives": [
{
"drive_id": 12,
"team": "KC", "quarter": 3,
"start": { "yardline": "KC 22", "clock": "08:14" },
"end": { "yardline": "BUF 0", "clock": "05:42", "result": "TD" },
"plays_run": 7, "yards": 78, "time_of_possession": "02:32"
}
]
}Error responses
| Status | Code | Description |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key |
| 403 | tier_insufficient | Your plan tier doesn't include this resource |
| 429 | rate_limited | Exceeded rate limit; honor Retry-After |
| 500 | internal_error | Server error; retry with exponential backoff |